import { OnDestroy, OnInit } from "@angular/core";
import { Subscription } from "rxjs";
import { StiModelService } from "../../../services/model.service";
import { StiHelperService } from "../../../services/sti-helper.service";
import { StiLocalizationService } from "../../../services/sti-localization.service";
import * as i0 from "@angular/core";
export declare class StiPropertyGridComponent implements OnInit, OnDestroy {
    model: StiModelService;
    helper: StiHelperService;
    loc: StiLocalizationService;
    private savedTableJson;
    propertiesComponents: [];
    startWidth: any;
    startX: any;
    isDrag: boolean;
    properties: any[];
    get isTable(): boolean;
    get object(): any;
    hasValue(property: string): boolean;
    refreshSubscription: Subscription;
    refreshFromLocalizationSubscription: Subscription;
    constructor(model: StiModelService, helper: StiHelperService, loc: StiLocalizationService);
    ngOnDestroy(): void;
    ngOnInit(): void;
    needToDisable(property: any): boolean;
    back(): void;
    private checkTableProperties;
    updateProperties(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiPropertyGridComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiPropertyGridComponent, "property-grid", never, {}, {}, never, never, false, never>;
}
